Bug 7098 - Forbid removal of conflicting packages in Rpmdrake
: Forbid removal of conflicting packages in Rpmdrake
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-05 01:35 MSD by Denis Silakov
Modified: 2016-06-14 19:44 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2016-06-05 01:35:40 MSD
See bug #6579 - users often just answer "Yes" on suggestion to remove packages, even if this breaks there system. And that's ok, it is not necessary for users to dig into package dependencies.

Advisory:
Forbid removal of conflicting packages in Rpmdrake.

Build lists:
https://abf.rosalinux.ru/build_lists/2680449
https://abf.rosalinux.ru/build_lists/2680450
Comment 1 Denis Silakov 2016-06-05 01:42:06 MSD
... How to test:
* install firebird-server-classic
* then try to install firebird-server-superserver

These packages conflict with each other (and this is correct), so rpmdrake should refuse to install the second one.
Comment 2 Denis Silakov 2016-06-07 13:56:51 MSD
*** Bug 7095 has been marked as a duplicate of this bug. ***
Comment 3 Vladimir Potapov 2016-06-07 20:21:10 MSD
Хочется уточнить текущее сообщение.
Сейчас это:
"Обнаружена критическая ошибка, невозможно продолжить установку в автоматическом режиме.
Если вы знаете, что делаете, то вы можете удалить конфликтующие пакеты на свой страх и риск.
Если у вас есть сомнения, то пожалуйста, сообщите об этой проблеме разработчикам РОСЫ, приложив приведенное ниже сообщение."

Предлагаю заменить на чуть более мягкое, но направляющее.

"Ошибка! Пакет, который вы пытаетесь установить/обновить конфликтует с уже установленным, их невозможно инсталлировать одновременно! 
Проверьте, подключены ли источники с обновлениями и попробуйте еще раз. 
При сохранении ошибки попробуйте произвести установку или обновление в консоли, при этом конфликтующий пакет и все связанные с ним пакеты будут удалены. 
Это может привести к неработоспособности всей системы!"
Comment 4 Denis Silakov 2016-06-08 18:09:01 MSD
Updated message:

https://abf.io/build_lists/2681090
https://abf.io/build_lists/2681091
Comment 5 Vladimir Potapov 2016-06-08 19:21:57 MSD
Увы, ошибка
Это выглядит сейчас как

An error has been detected! One of the packages you are trying to install or update conflicts with some of the installed packages and they can't be installed together!\nПожалуйста проверьте, подключены ли источники с обновлениями, и попробуйте еще раз.
Если вы знаете, что делаете, то вы можете удалить конфликтующие пакеты либо произвести установку в консоли с автоматическим удалением конфликтующих пакетов.
Помните, что все связанные с ним пакеты также будут удалены. Это может привести к неработоспособности всей системы!
Comment 6 Denis Silakov 2016-06-08 19:36:33 MSD
Try these ones:

https://abf.io/build_lists/2681106
https://abf.io/build_lists/2681107
Comment 7 Vladimir Potapov 2016-06-09 10:19:00 MSD
Там несогласованность в числе появилась.


Если вы знаете, что делаете, то вы можете удалить конфликтующие пакеты либо произвести установку в консоли с автоматическим удалением конфликтующих пакетов.
Помните, что все связанные с ним пакеты также будут удалены. Это может привести к неработоспособности всей системы!

"пакеты" а потом "ним". 
Предлагаю тогда "все связанные с конфликтующими пакетами также будут удалены"
Comment 9 Vladimir Potapov 2016-06-09 15:29:21 MSD
The update is sent to expanded testing
***************************************
Comment 10 Vladimir Potapov 2016-06-14 19:36:23 MSD
rpmdrake-5.26.12-54
https://abf.io/build_lists/2681189
https://abf.io/build_lists/2681190
**************************** Advisory *************************
Forbid removal of conflicting packages in Rpmdrake.
***************************************************************
QA Verified